package com.fs.his.enums;
/**
 * App用户奖品类型枚举
 *
 * @author
 * @date 2026-02-25
 */
public enum RewardTypeEnum {
    /**
     * 红包
     */
    RED_PACKET(1, "红包"),
    /**
     * 积分
     */
    POINT(2, "积分"),
    /**
     * 商品
     */
    GOODS(3, "商品");
    /**
     * 类型编码（对应数据库 reward_type 字段）
     */
    private final Integer code;

    /**
     * 类型描述
     */
    private final String desc;
    /**
     * 构造函数
     *
     * @param code 编码
     * @param desc 描述
     */
    RewardTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    /**
     * 获取编码
     *
     * @return 编码
     */
    public Integer getCode() {
        return code;
    }
    /**
     * 获取描述
     *
     * @return 描述
     */
    public String getDesc() {
        return desc;
    }
}
